[Fusionforge-commits] r11864 - trunk/src/utils

Roland Mas lolando at libremir.placard.fr.eu.org
Tue Dec 21 09:54:50 CET 2010


Author: lolando
Date: 2010-12-21 09:54:49 +0100 (Tue, 21 Dec 2010)
New Revision: 11864

Modified:
   trunk/src/utils/apply-coding-style.sh
Log:
Documented bugs and ensure we start from a known version

Modified: trunk/src/utils/apply-coding-style.sh
===================================================================
--- trunk/src/utils/apply-coding-style.sh	2010-12-21 08:33:48 UTC (rev 11863)
+++ trunk/src/utils/apply-coding-style.sh	2010-12-21 08:54:49 UTC (rev 11864)
@@ -4,6 +4,13 @@
 # There are still things to fix (including the removal of too many newlines)
 # DO NOT APPLY BLINDLY!
 
+# Things to fix:
+# * long lines (such as appear with long lists of parameters to functions) are unwrapped
+#   even when they were split across several lines previously
+# * "} else {" is turned into "}\nelse {"
+
+set -e
+
 arg=$1
 file=$(readlink -e $arg)
 
@@ -18,7 +25,7 @@
     cd /tmp
     git clone https://github.com/jespino/PHP_Beautifier.git
     cd PHP_Beautifier
-    git checkout remotes/origin/whitespaces
+    git checkout 15e6c66d2b2473cd3487c86ab9b2e3d5ed567ee7
     ln -s . PHP
     patch -p1 <<'EOF'
 --- a/Beautifier/Filter/Default.filter.php




More information about the Fusionforge-commits mailing list